version

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.java_cup
Class version

    java.lang.Object
      weka.core.parser.java_cup.version

    public class version

extends java.lang.Object

This class contains version and authorship information. It contains only static data elements and basically just a central place to put this kind of information so it can be updated easily for each release. Version numbers used here are broken into 3 parts: major, minor, and update, and are written as v.. (e.g. v0.10a). Major numbers will change at the time of major reworking of some part of the system. Minor numbers for each public release or change big enough to cause incompatibilities. Finally update letter will be incremented for small bug fixes and changes that probably wouldn't be noticed by a user.

Version:
  last updated: 12/22/97 [CSA]
Author:
  Frank Flannery

Field Summary
`static java.lang.String` | `author_str` Name of the author
`static int` | `major` The major version number.
`static int` | `minor` The minor version number.
`static java.lang.String` | `program_name` The command name normally used to invoke this program
`static java.lang.String` | `title_str` Full title of the system
`static java.lang.String` | `update` The update letter.
`static java.lang.String` | `version_str` String for the current version.

Constructor Summary
`version()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### major

    public static final int major

  The major version number.

  See Also:
    Constant Field Values

### minor

    public static final int minor

  The minor version number.

  See Also:
    Constant Field Values

### update

    public static final java.lang.String update

  The update letter.

  See Also:
    Constant Field Values

### version_str

    public static final java.lang.String version_str

  String for the current version.

  See Also:
    Constant Field Values

### title_str

    public static final java.lang.String title_str

  Full title of the system

  See Also:
    Constant Field Values

### author_str

    public static final java.lang.String author_str

  Name of the author

  See Also:
    Constant Field Values

### program_name

    public static final java.lang.String program_name

  The command name normally used to invoke this program

  See Also:
    Constant Field Values

Constructor Detail

### version

    public version()

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD